package com.fs.course.mapper;

import com.fs.course.domain.FsMessTemp;

import java.util.List;


/**
 * 群发模板Mapper接口
 *
 * @author fs
 * @date 2025-01-09
 */
public interface FsMessTempMapper
{
    /**
     * 查询群发模板
     *
     * @param id 群发模板主键
     * @return 群发模板
     */
    public FsMessTemp selectFsMessTempById(Long id);

    /**
     * 查询群发模板列表
     *
     * @param fsMessTemp 群发模板
     * @return 群发模板集合
     */
    public List<FsMessTemp> selectFsMessTempList(FsMessTemp fsMessTemp);

    /**
     * 新增群发模板
     *
     * @param fsMessTemp 群发模板
     * @return 结果
     */
    public int insertFsMessTemp(FsMessTemp fsMessTemp);

    /**
     * 修改群发模板
     *
     * @param fsMessTemp 群发模板
     * @return 结果
     */
    public int updateFsMessTemp(FsMessTemp fsMessTemp);

    /**
     * 删除群发模板
     *
     * @param id 群发模板主键
     * @return 结果
     */
    public int deleteFsMessTempById(Long id);

    /**
     * 批量删除群发模板
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsMessTempByIds(Long[] ids);

    List<FsMessTemp> selectFsMessTempListByUserLogsIds(List<String> sopUserIds);
}
